List available engineering metric definitions
curl --request GET \
--url https://api.getcortexapp.com/api/v1/eng-intel/registry/metrics/definitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcortexapp.com/api/v1/eng-intel/registry/metrics/definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcortexapp.com/api/v1/eng-intel/registry/metrics/definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metrics": [
{
"displayName": "<string>",
"key": "<string>",
"readiness": {
"type": "<string>",
"docsUrl": "<string>",
"hint": "<string>",
"providerDocsUrls": [
{
"provider": "<string>",
"url": "<string>"
}
]
},
"description": "<string>"
}
],
"view": "<string>"
}{
"metrics": [
{
"displayName": "<string>",
"key": "<string>",
"readiness": {
"type": "<string>",
"docsUrl": "<string>",
"hint": "<string>",
"providerDocsUrls": [
{
"provider": "<string>",
"url": "<string>"
}
]
},
"description": "<string>"
}
],
"view": "<string>"
}{
"metrics": [
{
"displayName": "<string>",
"key": "<string>",
"readiness": {
"type": "<string>",
"docsUrl": "<string>",
"hint": "<string>",
"providerDocsUrls": [
{
"provider": "<string>",
"url": "<string>"
}
]
},
"description": "<string>"
}
],
"view": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}List available engineering metric definitions
Discover all available engineering metrics and their metadata. Use this before querying metrics to understand what data is available and how to query it effectively.
GET
/
api
/
v1
/
eng-intel
/
registry
/
metrics
/
definitions
List available engineering metric definitions
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Last modified on September 29, 2026